dofile(LockOn_Options.script_path.."ARCADE\\arcade_usefull_definitions.lua")
----------------------------------------------

base_hud = add_hud()


local   wpt_size              = ((0.5*(79 - 63)/256) / hud_symbol_size_px) * hud_symbol_size
local   wpt_scale             = 1

waypoint_mark_hud					= CreateElement "ceTexPoly"
waypoint_mark_hud.name				= create_guid_string()
waypoint_mark_hud.vertices			= {{-wpt_size*wpt_scale,-wpt_size*wpt_scale}, 
									   {-wpt_size*wpt_scale, wpt_size*wpt_scale},
									   { wpt_size*wpt_scale, wpt_size*wpt_scale},
									   { wpt_size*wpt_scale,-wpt_size*wpt_scale}}
waypoint_mark_hud.indices			= default_box_indices
waypoint_mark_hud.tex_params	    = {394/512,0.5, tex_scale/wpt_scale, tex_scale/wpt_scale}  
waypoint_mark_hud.material			= textures["ARCADE_GREEN"]
waypoint_mark_hud.controllers       = {{"draw_waypoint_hud"},{"time_rotate_Y",0.2}}
waypoint_mark_hud.parent_element    = base_hud.name    
waypoint_mark_hud.additive_alpha    = true
AddElement(waypoint_mark_hud)


local line_size = (((181 - 173)/512) / hud_symbol_size_px) * hud_symbol_size
dbg_print("line_size "..tostring(line_size)..'\n')
local funnel_left    				= CreateElement "ceSimpleLineObject"
	  funnel_left.name				= "funnel_left"
	  funnel_left.material			= textures["ARCADE_RED"]
	  funnel_left.width				= line_size
	  funnel_left.parent_element    = base_hud.name
	  funnel_left.controllers       = {{"external_view",1},{"draw_funnel",0,6}}
	  funnel_left.tex_params     	= {{130/512, 177/512}, {384/512, 177/512}, {tex_scale/wpt_scale,tex_scale/wpt_scale}}	  
      funnel_left.additive_alpha    = true
	  AddElement(funnel_left)
	  
local funnel_right    				= Copy(funnel_left)
	  funnel_right.name				= "funnel_right"
	  funnel_right.controllers      = {{"external_view",1},{"draw_funnel",6,12}}
  	  AddElement(funnel_right)
